/******************************************************************************
Copyright 2016 - 2019 Intel Corporation
 
For licensing information, see the file 'LICENSE' in the root folder of
  this software module. 
******************************************************************************/

#ifndef _FILE_MAPPING_H
#define _FILE_MAPPING_H


class FileMapping
{
public:
    FileMapping();
    ~FileMapping();

    DWORD Init(FILE *hFile, QWORD qwFileSize, bool bReadOnly);
    void Fini();

    DWORD Map(QWORD qwOffset, DWORD dwSize, bool bRead, bool bWrite, PBYTE &rpBuf);
    DWORD Unmap(PBYTE pBuf, DWORD dwSize);

    DWORD Flush(PBYTE pBuf, DWORD dwSize, bool bSync = true);

private:
    FILE                      * _hFile;

#ifdef _WIN32_
    HANDLE                      _hMapFile;
#endif
};


#endif
