/******************************************************************************
Copyright 2016 - 2019 Intel Corporation
 
For licensing information, see the file 'LICENSE' in the root folder of
  this software module. 
******************************************************************************/

#ifndef _LISTENER_HANDLER_H
#define _LISTENER_HANDLER_H


#include "EpProtocolHandler.h"


class ListenerHandler : public EpProtocolHandler
{
public:
    ListenerHandler(bool bOneShot);
    virtual ~ListenerHandler();

    virtual UINT OnRecvReady(Connection *pConnection);

    virtual void ProcessCmd(DWORD dwCmdMask);

    virtual DWORD GetFlags();

    virtual void PrepareSend();

protected:
    virtual bool ProcessRecvData(BufferItem *pbiData);

private:
    bool                        _bOneShot;
    bool                        _bNewConnection;
};


#endif
