/******************************************************************************
Copyright 2016 - 2019 Intel Corporation
 
For licensing information, see the file 'LICENSE' in the root folder of
  this software module. 
******************************************************************************/

#ifndef _MEAS_ELAPSE_TIME_H
#define _MEAS_ELAPSE_TIME_H


#include "MeasElapseTime.h"


class MeasElapseTime
{
public:
    MeasElapseTime();
    ~MeasElapseTime();

    void Reset();

    void Start();
    void Update(QWORD qwBytes);
    void Finish(QWORD qwBytes);
    void Finish();

    void Print(const char *szPrompt);

private:
    QWORD                       _qwFreq;

    QWORD                       _qwCount;
    QWORD                       _qwBytes;

    QWORD                       _qwPreTicks;
    QWORD                       _qwTicks;
};


#endif

