/******************************************************************************
Copyright 2016 - 2019 Intel Corporation
 
For licensing information, see the file 'LICENSE' in the root folder of
  this software module. 
******************************************************************************/

#ifndef _PRODUCER_COUNTER_H
#define _PRODUCER_COUNTER_H


class ProducerCounter
{
public:
    ProducerCounter();
    ~ProducerCounter();

    // true: the last state is empty
    bool Produce(UINT nCount);  // not support reentery
    void Consume(UINT nCount);  // not support reentery

    void Reset(UINT nProduct);

    bool IsEmpty() const;
    UINT GetProductNum() const;

private:
    volatile QWORD              _qwProduceNum;
    volatile QWORD              _qwConsumeNum;
};


#endif
