#ifndef _TC_NTLIB2_H
#define _TC_NTLIB2_H


#if !defined(TC_STDCALL)
# if defined(_WIN32)
#  define TC_STDCALL __stdcall
# else
#  define TC_STDCALL
# endif
#endif

#ifdef __cplusplus
extern "C"
{
#endif


DWORD TC_STDCALL
ntOpenFileA
    (
        HANDLE                * phFile,
        const char            * lpFilePath,
        const char            * szOpenMode
    );

DWORD TC_STDCALL
ntOpenFileW
    (
        HANDLE                * phFile,
        const wchar_t         * lpFilePath,
        const wchar_t         * wszOpenMode
    );

void TC_STDCALL
ntCloseFile
    (
        HANDLE                  hFile
    );

DWORD TC_STDCALL
ntReadFile
    (
        HANDLE                  hFile,
        BYTE                  * pBuffer,
        ULONG                 * pulSize
    );

DWORD TC_STDCALL
ntWriteFile
    (
        HANDLE                  hFile,
        BYTE                  * pBuffer,
        ULONG                   ulSize
    );

DWORD TC_STDCALL
ntSeekFile
    (
        HANDLE                  hFile,
        LONGLONG                llOffset
    );

DWORD TC_STDCALL
ntGetFileLength
    (
        HANDLE                  hFile,
        LONGLONG              * pllLength
    );

DWORD TC_STDCALL
ntSetFileLength
    (
        HANDLE                  hFile,
        LONGLONG                llLength
    );

DWORD TC_STDCALL
ntGetVolumeSizeInfo
    (
        HANDLE                  hVolume,
        LONGLONG              * pllTotalBytes,
        LONGLONG              * pllFreeBytes
    );

#ifdef __cplusplus
}
#endif

#endif
