﻿/******************************************************************************
Copyright 2012 - 2020 Intel Corporation
 
For licensing information, see the file 'LICENSE' in the root folder of
  this software module. 
******************************************************************************/
#ifndef _TC_CLASS_FACTORY_H_
#define _TC_CLASS_FACTORY_H_

class TcClassFactory : public IClassFactory
{
public:
  TcClassFactory();
  ~TcClassFactory();

public:
  ISSUnknown_REF_DEFINE;

public:
  STDMETHOD(CreateInstance)(IUnknown *pUnkOuter, 
  	REFIID riid, 
  	void **ppv);
  STDMETHOD(LockServer)(BOOL needLock);
};

HRESULT TcClassFactoryCreateInstance(REFCLSID rclsid, 
	REFIID riid, 
	void **ppv);

#endif
