﻿/******************************************************************************
Copyright 2012 - 2020 Intel Corporation
 
For licensing information, see the file 'LICENSE' in the root folder of
  this software module. 
******************************************************************************/
#ifndef _TC_PROVIDER_FILTER_H_
#define _TC_PROVIDER_FILTER_H_

HRESULT TcProviderFilterCreateInstance(REFIID riid, void **ppv);

class TcProviderFilter : public ICredentialProviderFilter
{
public:
  TcProviderFilter();
  virtual ~TcProviderFilter();

public:
  ISSUnknown_REF_DEFINE;

  STDMETHOD(Filter)(CREDENTIAL_PROVIDER_USAGE_SCENARIO cpus, 
  	DWORD dwFlags, 
  	GUID* rgclsidProviders,
  	BOOL* rgbAllow, DWORD cProviders);
  STDMETHOD(UpdateRemoteCredential)(
  	const CREDENTIAL_PROVIDER_CREDENTIAL_SERIALIZATION* pcpcsIn,
    CREDENTIAL_PROVIDER_CREDENTIAL_SERIALIZATION* pcpcsOut);

};
#endif
