#!/bin/sh

if test $# -lt 1
then
	echo "autoreg.sh <ip add>" && exit
fi  

prefix=/usr/local/bin
TC_REG_APP=${prefix}/tcdreg
TC_REG_UI_APP=${prefix}/newtreg

chmod a+x $TC_REG_APP
chmod a+x $TC_REG_UI_APP

while :
do

	chmod +x ${TC_REG_APP}
	${TC_REG_APP} $1 --chkreg

	case $? in
	0)
		echo "already registered"
		echo "try to information of registered client"
		while : ; do
			${TC_REG_APP} $1 --update && exit || echo "try to update client information"
		done

		exit
		;;

	1)
		echo "not registered"
		$TC_REG_UI_APP $1
		exit
		;;

	255)
		echo "something wrong"
		;;

	2)
		echo "server not start? wait 1 second and retry ..."
		sleep 1
		;;

	*)
		echo "unknown value, exit immediately"
		exit
		;;
	esac

done


