#!/bin/sh

mount /dev/sda1 /mnt/disk

cp -a /usr/share/boot /mnt/disk/boot
cd /
cat /usr/sbin/tc/file.lst | cpio -H newc -o | gzip -9 -n > /mnt/disk/boot/initrd.img

umount /mnt/disk

grub --batch <<EOT # 1>/dev/null 2>/dev/null
root (hd0,0)
setup (hd0)
quit
EOT

