#!/bin/sh

. /usr/sbin/tc/global_def.sh

DEVNAME=`basename $DISKDEV`
DISKINFO=`df -m $DISKDIR | sed -n "/$DEVNAME/p"`
if [ -z "$DISKINFO" ] ; then
  echo "$DISKDIR not mounted"
  exit 3
fi

used=`echo $DISKINFO | awk '{print $3}'`
free=`echo $DISKINFO | awk '{print $4}'`
if [ -z "$used" -o -z "$free" ] ; then
  echo "df's output is wrong"
  exit 17
fi

echo -n "$used:$free"

exit 0
