#!/bin/sh

if [ -f /usr/sbin/tc/bldopt.sh ] ; then
  . /usr/sbin/tc/bldopt.sh
fi

if [ "x$SDL_BUILD_ENABLE" == "x1" ] ; then
  cp /usr/sbin/tc/preboot_entry.sh.efi /usr/sbin/tc/preboot_entry.sh
fi

case $lang in
  zh_CN)
    export LANG=zh_CN.UTF-8
  ;;

  *)
  ;;
esac

case $bootenv in
  1)
#    echo "enter preboot mode"
    /usr/sbin/tc/preboot_entry.sh $tcserver
  ;;

  2)
#    echo "enter deploy mode"
    /usr/sbin/tc/deploy_entry.sh
  ;;

  3)
#    echo "enter usbtool mode"
    /usr/sbin/tc/usbtool_entry.sh
  ;;

  4)
#    echo "enter disk initialization mode"
    /usr/sbin/tc/initializer_entry.sh
  ;;

  *)
    echo "invalid bootenv value"
  ;;
esac

