#!/bin/sh

. /usr/sbin/tc/global_def.sh

if [ -z "$1" -o -z "$2" -o -z "$3" ] ; then
  echo "Usage: tc-chgpwd.sh user old_pwd new_pwd"
  exit 1
fi

if [ -n "$4" ] ; then
  SERVER=$4
  echo SERVER=$4
fi

oldpwd_shaval=`echo -n "$2:$1" | sha256sum | awk '{print $1}'`
newpwd_shaval=`echo -n "$3:$1" | sha256sum | awk '{print $1}'`

curl $CURL_OPTS -X POST --output $SETNEWPWD_JSON -H "Content-Type: application/json" -d '{"username":"'$1'","password":"'$oldpwd_shaval'","password_new":"'$newpwd_shaval'"}' $HTTP_PROT://$DOMAINNAME/$SETNEWPWD_URL
if [ $? -ne 0 ] ; then
  echo "communicate with server timeout"
  exit 3
fi

ret_chg=`jq -r '.success' $SETNEWPWD_JSON`
if [ "$ret_chg"x != "true"x ] ; then
  echo "change password failed"
  exit 75
fi

exit 0
