#!/bin/sh

. /usr/sbin/tc/global_def.sh

if [ -z "$1" -o -z "$2" -o -z "$3" -o -z "$4" -o -z "$5" -o -z "$6" ] ; then
  echo "Usage: tc-login.sh <osid> <orgimg> <curimg> <osper> <username> <usertoken>"
  exit 1
fi

echo $4 >$TCDIR/$1.per
echo $6 >$TOKEN_FILE

$GETICON_APP $SERVER

. /tmp/dbusenv.sh
cnt=0
until [ $cnt -ge 10 ] ;
do
  $NOTIFY_APP 2 $1 $2 $3 $5 >>$NOTIFY_LOG 2>&1
  if [ $? -eq 0 ] ; then
    break;
  fi

  echo "notify failed, try again"
  sleep 3

  cnt=$((cnt+1))
done

exit 0
