#!/bin/sh

. /usr/sbin/tc/global_def.sh

if [ -z "$1" -o -z "$2" ] ; then
  echo "Usage: tc-netbw-trigger.sh dlbw(KB/s) upbw(KB/s)"
  exit 1
fi

dlbw=0
upbw=0
if [ -f $NETBW_FILE ] ; then
  argv=`awk -F ':' '{printf("dlbw=%s;upbw=%s;",$1,$2)}' $NETBW_FILE`
  eval $argv
fi

if [ $1 -ne $dlbw -o $2 -ne $upbw ] ; then
  echo "new bw limit: up($2KB/s) dl($1KB/s)"
  echo "$1:$2" >$NETBW_FILE
  $TCDIR/tc-cfgflow.sh $2 $1
fi
