#!/bin/sh

. /usr/sbin/tc/global_def.sh

exec >/var/log/tc-wifiserv.log
exec 2>&1

WLANNODE=/sys/class/net/$WLAN_IFACE

until [ -d $WLANNODE ] ; do sleep 5; done

echo "up $WLAN_IFACE..."
ifconfig $WLAN_IFACE up
echo "up $WLAN_IFACE: $?"

echo "run wpa_supplicant..."
wpa_supplicant -Dnl80211,wext -i$WLAN_IFACE -c$WPACONF_FILE &
echo "run wpa_supplicant: $?"

carr_prechg=0
while [ true ] ; do
  sleep 5

  IFACE=$DEFAULT_IFACE
  if [ -f $IFACE_FILE ] ; then
    IFACE=`cat $IFACE_FILE`
  fi

  if [ "x$IFACE" != "x$WLAN_IFACE" ] ; then
    continue
  fi

  carr_curchg=`cat $WLANNODE/carrier_changes`
  if [ "x$carr_prechg" == "x$carr_curchg" ] ; then
    continue
  fi
  carr_prechg=$carr_curchg

  carr_stat=`cat $WLANNODE/carrier`
  echo "$IFACE's carrier=$carr_stat"
  if [ "x$carr_stat" == "x1" ] ; then
    $TCDIR/tc-cfgnet.sh
  else
    killall udhcpc
    ifconfig $IFACE 0
  fi
done

