#!/bin/sh
# remove all symbolic link file pointing to rootfs/bin/busybox

DIR='rootfs'

echo "You are trying to REMOVE all symbolic files pointing to rootfs/bin/busybox!"

read -p "Type \"Yes\" to continue: " cont 
if ! [ -n "$cont" -a "$cont" == "Yes" ] ; then
    echo "You canceled operations."
    exit 0
else
    echo "Try to remove symbolic files..."
    sleep 3
fi


while read -r busybox_symbol_link ; do
    if readlink ${busybox_symbol_link} | grep -q 'busybox' ; then
        unlink ${busybox_symbol_link}
    fi
done <<< "$(find ${DIR} -type l)"

