/******************************************************************************
Copyright 2012 - 2020 Intel Corporation
 
For licensing information, see the file 'LICENSE' in the root folder of
  this software module. 
******************************************************************************/

#ifndef __TC_TIMER_H__
#define __TC_TIMER_H__


typedef void (*timer_callback)(int context);

typedef struct _TC_TIMER {
	//uint32_t timer_id;
	int usedIdx;
	uint8_t periodic;
	uint32_t time_total;
	uint32_t time_left;
	timer_callback function;
	int fn_context;
}TC_timer;

int set_timer(uint32_t timer_id, uint32_t time, timer_callback fn, 
		int context, uint8_t periodic);
int remove_timer(int timer_id);
void setup_watchdog();


#endif
