/******************************************************************************
Copyright 2016 - 2019 Intel Corporation
 
For licensing information, see the file 'LICENSE' in the root folder of
  this software module. 
******************************************************************************/

#ifndef CLEANDISKPAGE_H
#define CLEANDISKPAGE_H


#include <QProcess>
#include <MApplicationPage>

class MLabel;
class MButton;


class CleanDiskPage : public MApplicationPage
{
    Q_OBJECT

public:
    CleanDiskPage();
    virtual ~CleanDiskPage();

    virtual void createContent();

protected:
    virtual void swipeGestureEvent(QGestureEvent *event, QSwipeGesture *gesture);

private:
    void ShowDiskUsage();

private slots:
    void onBtnCleanClicked();

private:
    MLabel *lbUsage;
    MButton *btnDeep;
    MButton *btnClean;
};


#endif // PROFILEPAGE_H
