/******************************************************************************
Copyright 2016 - 2019 Intel Corporation
 
For licensing information, see the file 'LICENSE' in the root folder of
  this software module. 
******************************************************************************/

#ifndef INPUTDIALOG_H
#define INPUTDIALOG_H

#include <MDialog>
#include <MTextEdit>


class InputDialog : public MDialog
{
    Q_OBJECT

public:
    InputDialog(const QString &title, const QString &text);
    virtual ~InputDialog();

public:
    MTextEdit *edit;

private slots:
    void setfocusOnTextEdit();
};


#endif // INPUTDIALOG_H
