/******************************************************************************
Copyright 2016 - 2019 Intel Corporation
 
For licensing information, see the file 'LICENSE' in the root folder of
  this software module. 
******************************************************************************/

#ifndef MISC_H
#define MISC_H

#include <MApplicationPage>


typedef struct _ERROR_CODE_MSG
{
    int  nCode;
    const char  *msg;
}
ERROR_CODE_MSG;


void readLine(const char *filename, QString &str);
void writeLine(const char *filename, const QString &str);

void displayBanner(const MApplicationPage *page, const QString &msg);


#endif // MISC_H
