/******************************************************************************
Copyright 2016 - 2019 Intel Corporation
 
For licensing information, see the file 'LICENSE' in the root folder of
  this software module. 
******************************************************************************/

#ifndef UPDATEFWPAGE_H
#define UPDATEFWPAGE_H


#include <QProcess>
#include <MApplicationPage>

class MLabel;
class MProgressIndicator;


class UpdateFwPage : public MApplicationPage
{
    Q_OBJECT

public:
    UpdateFwPage();
    virtual ~UpdateFwPage();

    virtual void createContent();

protected:
    void ShowMessage(const QString &msg);

private slots:
    void onPsError(QProcess::ProcessError errCode);
    void onPsFinished(int exitCode, QProcess::ExitStatus exitStatus);

private:
    MProgressIndicator *spinner;
    MLabel  *lbPrompt;

    QProcess psTcSync;
};


#endif // UPDATEFWPAGE_H
