--
-- Create MySQL accounts
--
--
-- MySQL 5 syntax
--
GRANT ALL ON tc.* TO 'tcweb'@'localhost' IDENTIFIED BY 'tcwebpass';
GRANT ALL ON tc.* TO 'tcctl'@'localhost' IDENTIFIED BY 'tcctlpass';
GRANT ALL ON tc.* TO 'tcsync'@'localhost' IDENTIFIED BY 'tcsyncpass';
GRANT ALL ON tc.* TO 'tcp2p'@'localhost' IDENTIFIED BY 'tcp2ppass';

--
-- Normal syntax
--
-- CREATE USER 'tcweb'@'localhost' IDENTIFIED BY 'tcwebpass';
-- GRANT ALL PRIVILEGES ON tc.* TO 'tcweb'@'localhost';

-- CREATE USER 'tcctl'@'localhost' IDENTIFIED BY 'tcctlpass';
-- GRANT ALL PRIVILEGES ON tc.* TO 'tcctl'@'localhost';

-- CREATE USER 'tcsync'@'localhost' IDENTIFIED BY 'tcsyncpass';
-- GRANT ALL PRIVILEGES ON tc.* TO 'tcsync'@'localhost';

-- CREATE USER 'tcp2p'@'localhost' IDENTIFIED BY 'tcp2ppass';
-- GRANT ALL PRIVILEGES ON tc.* TO 'tcp2p'@'localhost';

FLUSH PRIVILEGES;
