# Makefile.inc
# Declare some useful data structures.

QMAKE ?= /root/TC/qt-everywhere-opensource-src-4.7.3/bin/qmake

# The 1st parameter: a directory which contains a file named Makefile.auto;
# The 2nd parameter: a Makefile target, optional.
# At least the 1st parameter is required.
define exec_a_task
    $(MAKE) -C $(1) -f Makefile.auto $(2)
endef

# The 1st parameter: variable name whose value is a string list indicating mutiple target directories
# The 2nd parameter: a Makefile target, optional.
define exec_tasks
    $(foreach var,$($(1)),$(call exec_a_task,$(var),$(2)) && ) true
endef

TC_BUILD_CLIENT := client
TC_BUILD_SERVER := server

TC_BUILD_DIR ?= $(shell pwd)
TC_RAMDISK_DIR := $(TC_BUILD_DIR)/ramdisk

# src modules
SRCMOD := tcentry tcnotifier gendtag msock syncClient syncServer LiteP2P 

# client src modules
# CLTSRCMOD := 

# server src modules
# SVRSRCMOD := 

# mix src modules
# MIXSRCMOD := 

