/******************************************************************************
Copyright 2016 - 2019 Intel Corporation
 
For licensing information, see the file 'LICENSE' in the root folder of
  this software module. 
******************************************************************************/

#ifndef _MCAST_CONNECTION_H
#define _MCAST_CONNECTION_H


#include "SocketConnection.h"


class MCastConnection : public SocketConnection
{
public:
    MCastConnection(SOCKET s, const PSOCK_ADDR pAddr);
    virtual ~MCastConnection();

    virtual DWORD Send(BufferItem *pBufItem);

private:
    struct sockaddr_in          _addr;
};


#endif
