/******************************************************************************
Copyright 2016 - 2019 Intel Corporation
 
For licensing information, see the file 'LICENSE' in the root folder of
  this software module. 
******************************************************************************/

#ifndef _PROTOCOL_HANDLER_H
#define _PROTOCOL_HANDLER_H


class Connection;


class ProtocolHandler
{
public:
    // see issues_virtual.txt
    ProtocolHandler() { DBG(D_INFO, (L"%s\n", FULL_FUNC_NAME)); }
    virtual ~ProtocolHandler() { DBG(D_INFO, (L"%s\n", FULL_FUNC_NAME)); }

    virtual void OnAsyncConnected(Connection *pConnection) = 0;

    virtual void OnDisconnectedOrError(Connection *pConnection) = 0;

    static const UINT  ABORT = 0xFFFFFFFF;
    static const UINT  AGAIN = 0xEEEEEEEE;
    virtual UINT OnRecvReady(Connection *pConnection) = 0;
    virtual UINT OnSendReady(Connection *pConnection) = 0;
};


#endif
