/******************************************************************************
Copyright 2016 - 2019 Intel Corporation
 
For licensing information, see the file 'LICENSE' in the root folder of
  this software module. 
******************************************************************************/

#ifndef _RUNNABLE_H
#define _RUNNABLE_H


#include "PCondEvent.h"


class Runnable
{
public:
    Runnable();
    virtual ~Runnable();

    void Bind(PCondEvent *pEvent, UINT nSigIdx);
    void Unbind();

    virtual void Execute() = 0;

protected:
    void ReqExec();

private:
    PCondEvent                * _pEvent;
    UINT                        _nSigIdx;
};


#endif
