/******************************************************************************
Copyright 2016 - 2019 Intel Corporation
 
For licensing information, see the file 'LICENSE' in the root folder of
  this software module. 
******************************************************************************/

#ifndef _SEED_MON_CLI_HANDLER_H
#define _SEED_MON_CLI_HANDLER_H


#include "EpPDUHandler.h"
#include "SeedTrackObserver.h"


class SeedMonCliHandler : public EpPDUHandler
{
public:
    SeedMonCliHandler(SeedTrackObserver *pObserver, UINT nRecvQSize = SEED_MON_NETQSIZE);
    virtual ~SeedMonCliHandler();

    virtual void PrepareSend();

protected:
    virtual void ProcessRecvPDU(BYTE bCode, bool bReq, DWORD dwParam, BufferItem *pbiBody);
    virtual void ProcessRecvPDU(BYTE bCode, bool bReq, DWORD dwParam, const PBYTE pData, UINT nDataBytes, UINT nLeftBytes);

private:
    SeedTrackObserver              * _pObserver;
};


#endif
