/******************************************************************************
Copyright 2016 - 2019 Intel Corporation
 
For licensing information, see the file 'LICENSE' in the root folder of
  this software module. 
******************************************************************************/

#ifndef _SIGNAL_PIPE_H
#define _SIGNAL_PIPE_H


DWORD CreateSignalPipe(SOCKET *phSend, SOCKET *phRecv);
DWORD PipeSendSignal(SOCKET hSend);
DWORD PipeRecvSignal(SOCKET hRecv);
DWORD PipeSendData(SOCKET hSend, PBYTE pData, UINT nSize);
DWORD PipeRecvData(SOCKET hSend, PBYTE pData, UINT &rnSize);
void CloseSignalPipe(SOCKET hPipe);


#endif
