/******************************************************************************
Copyright 2016 - 2019 Intel Corporation
 
For licensing information, see the file 'LICENSE' in the root folder of
  this software module. 
******************************************************************************/

#if defined(_WINCE_)
#define _CE_ALLOW_SINGLE_THREADED_OBJECTS_IN_MTA
#include <windows.h>
#endif

#if defined(_WIN32_)
#define _CRT_RAND_S
#define _CRT_SECURE_NO_WARNINGS
#define _CRT_NONSTDC_NO_WARNINGS
#define _WINSOCK_DEPRECATED_NO_WARNINGS
#define STRSAFE_NO_DEPRECATE
#define NO_WARN_MBCS_MFC_DEPRECATION
#define FD_SETSIZE    1024
#include <winsock2.h>
#include <ws2tcpip.h>
#include <mstcpip.h>
#include <windows.h>
#include <fcntl.h>
#include <io.h>
#endif

#if defined(_ANDROID_)
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <signal.h>
#include <string.h>
#include <errno.h>
#include <sys/types.h>
#include <sys/socket.h>
#include <sys/time.h>
#include <arpa/inet.h>
#include <netinet/in.h>
#endif

#if defined(_LINUX_)
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <fcntl.h>
#include <signal.h>
#include <string.h>
#include <errno.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <sys/socket.h>
#include <sys/mman.h>
#include <sys/time.h>
#include <sys/wait.h>
#include <sys/epoll.h>
#include <sys/resource.h>
#include <arpa/inet.h>
#include <netinet/in.h>
#include "netinet/tcp.h"
#endif

#include <pthread.h>
#include <semaphore.h>
#include <assert.h>
#include <string>
#include <list>
#include <vector>
#include <queue>
#include <algorithm>
#include <functional>

#if defined(_WINCE_) || defined(_WIN32_)
#include "win32_dep.h"
#endif

#if defined(_ANDROID_) || defined(_LINUX_)
#include "linux_dep.h"
#endif

#include "GlobalDef.h"
#include "MiscUtils.h"

using namespace std;
