/******************************************************************************
Copyright 2016 - 2019 Intel Corporation
 
For licensing information, see the file 'LICENSE' in the root folder of
  this software module. 
******************************************************************************/

#ifndef _NTFILE_LIB_H
#define _NTFILE_LIB_H


#define  CALLCONV               __stdcall

#ifdef __cplusplus
extern "C"
{
#endif


DWORD CALLCONV
ntOpenFileA
    (
        HANDLE                * phFile,
        const char            * lpFilePath,
        const char            * szOpenMode
    );

DWORD CALLCONV
ntOpenFileW
    (
        HANDLE                * phFile,
        const wchar_t         * lpFilePath,
        const char            * szOpenMode
    );

void CALLCONV
ntCloseFile
    (
        HANDLE                  hFile
    );

DWORD CALLCONV
ntReadFile
    (
        HANDLE                  hFile,
        BYTE                  * pBuffer,
        ULONG                 * pulSize
    );

DWORD CALLCONV
ntWriteFile
    (
        HANDLE                  hFile,
        BYTE                  * pBuffer,
        ULONG                   ulSize
    );

DWORD CALLCONV
ntSeekFile
    (
        HANDLE                  hFile,
        LONGLONG                llOffset
    );

DWORD CALLCONV
ntGetFileLength
    (
        HANDLE                  hFile,
        LONGLONG              * pllLength
    );

DWORD CALLCONV
ntSetFileLength
    (
        HANDLE                  hFile,
        LONGLONG                llLength
    );

DWORD CALLCONV
ntGetVolumeSizeInfo
    (
        HANDLE                  hVolume,
        LONGLONG              * pllTotalBytes,
        LONGLONG              * pllFreeBytes
    );

#ifdef __cplusplus
}
#endif

#endif
