#!/bin/sh
#
# comment the line below to use gcc
# uncomment the line below to use i686-linux-gcc
#
CROSS_PREFIX=i686-linux-


CC=${CROSS_PREFIX}gcc
MODULE="\
TcDebugLib \
TcNtLib \
TcKeyValueLib \
TcService\
"

for m in $MODULE ; do
  make CC=${CC} -C $m clean
  ret=$?
  if [ $ret -ne 0 ] ; then
    exit $ret
  fi
done

if [ "x$1" == "xclean" ] ; then
  exit
fi

for m in $MODULE ; do
  make CC=${CC} -C $m
  ret=$?
  if [ $ret -ne 0 ] ; then
    exit $ret
  fi
done

