/******************************************************************************
Copyright 2012 - 2020 Intel Corporation

For licensing information, see the file 'LICENSE' in the root folder of
this software module.
******************************************************************************/

#ifndef _VOS_MEM_H_
#define _VOS_MEM_H_

#define offsetof(TYPE, MEMBER) ((unsigned long) &((TYPE *)0)->MEMBER)
#define CR(ptr, type, member)	({	\
	const typeof( ((type *)0)->member ) *__mptr = (ptr); 	\
	(type *)( (char *)__mptr - offsetof(type, member) );})

extern int vos_meminit();
extern void *vos_malloc();
extern void vos_free(void *p);
extern void vos_memprint();



#endif


