#!/bin/sh
# loaddata.sh
# install TC data files

MKDIR='/bin/mkdir -p'
CP='/bin/cp --force'

SRCDIR=data
DATAFILE=$SRCDIR/ps.tar.gz
DESTDIR='/home/tc/opt/ps'


if ! [ -f $DATAFILE ] ; then
    echo "data file not found. "
    exit 1
fi

if ! [ -d $DESTDIR ] ; then
    $MKDIR $DESTDIR
fi

tar zxmf $DATAFILE -C $DESTDIR --strip-components=1

if ! [ $? -eq 0 ] ; then
    echo "fail to install TC data files"
    exit 2
fi

echo "install TC data files successfully"

