#!/bin/sh
# something to de after updating firmware

DEV_NODE='/dev/sda'

# exit normally
ERR_NORMAL=0
ERR_RUNTIME=1

source /usr/sbin/tc/global_def.sh

if [ -f $SERVADDR_FILE ] ; then
    SERVER=`cat $SERVADDR_FILE`
fi

if ! df | grep "^${DISKDEV}" ; then
    mount ${DISKDEV} ${DISKDIR}
    if ! [ $? -eq 0 ] ; then
        exit $ERR_RUNTIME
    fi
fi

if ! df | grep "^${DISKRSVD}" ; then
    mount ${DISKRSVD} ${RSVDDIR}
    if ! [ $? -eq 0 ] ; then
        exit $ERR_RUNTIME
    fi
fi

# notify server the updating task is finished

#$TCDCLT_APP $SERVER eth0 12345 "${ACT_POWERON}: : "
#echo "${ACT_UPDATING_FIRMWARE_SUCCESS}: :" > $STATUS_CONF_FILE

exit $ERR_NORMAL
