#!/bin/sh
# umount partitions if any

DEV_NODE='/dev/sda'

# exit normally
ERR_NORMAL=0
ERR_UMOUNT_SYSPART=5
ERR_UMOUNT_DSKPART=6

source /usr/sbin/tc/global_def.sh

if [ -f $SERVADDR_FILE ] ; then
    SERVER=`cat $SERVADDR_FILE `
fi

if df | grep -q "^${DISKDEV}" ; then
    umount -f ${DISKDEV}
    if ! [ $? -eq 0 ] ; then
        exit $ERR_UMOUNT_DSKPART
    fi
fi

if df | grep -q "^${DISKRSVD}" ; then
    umount -f ${DISKRSVD}
    if ! [ $? -eq 0 ] ; then
        exit $ERR_UMOUNT_SYSPART
    fi
fi

#if [ "x$INITIALIZATION_MODE" != "xUSB" ] ; then
    # notify server the client is being initalized
#    $TCDCLT_APP $SERVER eth0 12345 "${ACT_INITIALIZING_DISK}: : "
	echo "8: :" >/tmp/tc-status.conf
#fi

exit $ERR_NORMAL
