#!/bin/sh
# something to de before updating firmware

DEV_NODE='/dev/sda'

# exit normally
ERR_NORMAL=0
ERR_RUNTIME=1

source /usr/sbin/tc/global_def.sh

if [ -f $SERVADDR_FILE ] ; then
    SERVER=`cat $SERVADDR_FILE`
fi

if df | grep -q "^${DISKDEV}" ; then
    umount -f ${DISKDEV}
    if ! [ $? -eq 0 ] ; then
        exit $ERR_RUNTIME
    fi
fi

if df | grep -q "^${DISKRSVD}" ; then
    umount -f ${DISKRSVD}
    if ! [ $? -eq 0 ] ; then
        exit $ERR_RUNTIME
    fi
fi

# notify server the client is being updated
#$TCDCLT_APP $SERVER eth0 12345 "${ACT_UPDATING_FIRMWARE}: : "
#echo "${ACT_UPDATING_FIRMWARE}: :" > $STATUS_CONF_FILE

exit $ERR_NORMAL
