#!/bin/sh

. /usr/sbin/tc/global_def.sh

if [ -n "$1" ] ; then
  SERVER=$1
  echo SERVER=$1
fi

# "-r" with "-nc" will not download the file which already exists
rm -f $DISKICONDIR/*.png
#wget $WGET_OPTS --tries=3 --timeout=1 --retry-connrefused -r --no-directories --no-parent --ignore-case --accept png --directory-prefix=$DISKICONDIR $HTTP_PROT://$DOMAINNAME/$BASEICONDIR

cat $OSLIST_FILE | awk -F ':' '
  {
    print $4;
  }

  END {
  }
  ' | while read argv
  do
    wget $WGET_OPTS --tries=3 --timeout=1 --retry-connrefused $HTTP_PROT://$DOMAINNAME/$BASEICONDIR/$argv -O $DISKICONDIR/$argv
  done

