#!/bin/sh

. /usr/sbin/tc/global_def.sh

if [ -z "$1" -o -z "$2" -o -z "$3" -o -z "$4" ] ; then
  echo "Usage: clean_data.sh <curimg> <username> <osid> <orgimg>"
  exit 1
fi

if [ -n "$5" ] ; then
  SERVER=$5
  echo SERVER=$5
fi

UCURPER=0
CURPER=0
PERFILE=$TCDIR/$3.per
if [ -f $PERFILE ] ; then
  CURPER=`cat $PERFILE`
fi
if [ ${#CURPER} -eq 2 ] ; then
  UCURPER=${CURPER:0:1}
fi
if [ "x$2" == "xroot" ] ; then
  UCURPER=0
fi
echo UCURPER=$UCURPER
if [ $UCURPER -ne 1 ] ; then
  echo permission denied
  exit 2
fi

rm -f $DISKDIR/data-$2.*

# for offline mode
rm -f $DISKDIR/$2-$4.osenv?

#NTFSDIR=/mnt/tmp
#ntfs-3g $NTFSDEV $NTFSDIR
#rm -rf $NTFSDIR/.TcVfs/${2}_${3}
#umount $NTFSDIR

#echo "sleeping for debuging"
#sleep 30

exit 0
