#!/bin/sh

. /usr/sbin/tc/global_def.sh

if [ -z "$1" -o -z "$2" -o -z "$3" -o -z "$4" ] ; then
  echo "Usage: clean_img.sh <curimg> <username> <osid> <orgimg>"
  exit 1
fi

if [ -n "$5" ] ; then
  SERVER=$5
  echo SERVER=$5
fi

CURPER=0
PERFILE=$TCDIR/$3.per
if [ -f $PERFILE ] ; then
  CURPER=`cat $PERFILE`
fi
if [ ${#CURPER} -eq 2 ] ; then
  CURPER=${CURPER:1:1}
fi
echo CURPER=$CURPER
if [ $CURPER -lt 2 ] ; then
  echo permission denied
  exit 2
fi

rm -f $DISKDIR/$4-$2.udf $DISKDIR/$4-$2.mdf $DISKDIR/$4-$2.ver

# for offline mode
rm -f $DISKDIR/$2-$4.osenv?

#echo "sleeping for debuging"
#sleep 30

exit 0
