#!/bin/sh

. /usr/sbin/tc/global_def.sh

exec >/var/log/tc-ethnserv.log
exec 2>&1

ETHNODE=/sys/class/net/

carr_prechg=unknown
while [ true ] ; do
  sleep 5

  IFACE=$DEFAULT_IFACE
  if [ -f $IFACE_FILE ] ; then
    IFACE=`cat $IFACE_FILE`
  fi

  if [ "x$IFACE" == "x$WLAN_IFACE" ] ; then
    continue
  fi

  carr_curchg=`cat $ETHNODE/$IFACE/carrier_changes`
  if [ "x$carr_prechg" == "x$carr_curchg" ] ; then
    continue
  fi
  carr_prechg=$carr_curchg

  carr_stat=`cat $ETHNODE/$IFACE/carrier`
  echo "$IFACE's carrier=$carr_stat"
  if [ "x$carr_stat" != "x0" ] ; then
    # default media is connected
    $TCDIR/tc-cfgnet.sh
  else
    killall udhcpc
    ifconfig $IFACE 0
  fi
done

