#!/bin/sh
# issue command to shutdown/reboot the system.

SCRIPT_PATH=$0
SCRIPT_NAME=${SCRIPT_PATH##*/}
INTERVAL=1
NOTIFY_APP=/usr/sbin/tc/shutdown-notify

chmod a+x $NOTIFY_APP

help(){
    cat <<EOT
SYNOPSIS
    $SCRIPT_NAME --poweroff
    $SCRIPT_NAME --reboot
EOT
}

case $1 in
    --poweroff)
        echo -n "6: :" >/tmp/tc-status.conf
        $NOTIFY_APP --poweroff
        sleep $INTERVAL
        poweroff -f
    ;;

    --reboot)
        echo -n "6: :" >/tmp/tc-status.conf
        $NOTIFY_APP --reboot
        sleep $INTERVAL
        reboot -f
    ;;

    *)
        help
    ;;
esac
