#!/bin/sh

. /usr/sbin/tc/global_def.sh

if [ -n "$1" ] ; then
  SERVER=$1
  echo SERVER=$1
fi

IFACE=$DEFAULT_IFACE
if [ -f $IFACE_FILE ] ; then
  IFACE=`cat $IFACE_FILE`
fi

if [ -f $SERVADDR_FILE ] ; then
  SERVER=`cat $SERVADDR_FILE`
fi
echo "SERVER=$SERVER"

while [ true ]; do
  echo "start tcdclt"
  $TCDCLT_APP $SERVER $IFACE 12345
  sleep 1
done

exit 0
