/******************************************************************************
Copyright 2012 - 2020 Intel Corporation
 
For licensing information, see the file 'LICENSE' in the root folder of
  this software module. 
******************************************************************************/

#ifndef __CONF_CMD_H__
#define __CONF_CMD_H__

typedef int (*P_GET_UPDATE_LIST_BY_VER)(long clientOsVer, 
	long curVerOnServer,
	int userId,
	char *osId,
	char *outlist
	);
typedef int (*P_GET_IAMGE_CUR_VER)(int user_id, char *osimage_id, 
	char *cur_ver);
typedef int (*P_GET_IAMGE_ID_BY_ID)(char *id);

typedef int (*P_CHECK_UPLOAD_CONDITIONS)(Client *client, tc_pkt_t *p);

int _check_upload_conditions(Client *client, tc_pkt_t *p);
int _check_upload_data_conditions(Client *client, tc_pkt_t *p);

int update_hb_conf(Client *, tc_pkt_t *);
int auth_conf(Client *, tc_pkt_t *);
void read_conf(Client *, tc_pkt_t *);
int reset_conf_handler(int, char);
int set_os_conf(Client *, tc_pkt_t *);
void reset_conf(Client *, tc_pkt_t *);
int _parse_user_info(char *,char **, char **);
int get_user_id_conf(Client *, tc_pkt_t *);
int update_hb(Client *, tc_pkt_t *);
int sync_data_conf(Client *, tc_pkt_t *);
int sync_conf(Client *, tc_pkt_t *);
int upload_conf(Client *, tc_pkt_t *);
int upload_check_conf(Client *, tc_pkt_t *, P_CHECK_UPLOAD_CONDITIONS);
int upload_data_conf(Client *, tc_pkt_t *);

#endif
