/******************************************************************************
Copyright 2012 - 2020 Intel Corporation
 
For licensing information, see the file 'LICENSE' in the root folder of
  this software module. 
******************************************************************************/

#ifndef __FILE_OPS_H__
#define __FILE_OPS_H__

#define KEYWORD_NUM			1

#define DATA_CONFIG_FILE	"/home/tc/etc/local.ini"
#define KEYWORD_SYNC_PASS	"tcsync_pass="

typedef struct _keywordEntry{
	char* 		keyword;
	uint32_t	len;
	unsigned char		isMatched;
}KEYWORD_ENTRY;

char *get_cur_dir();
char *get_app_path();
char* get_last_filename(char* str);
void create_dir(char *dst_dir);
void setup_udf_dir();
char* get_parent_dir(char* str_path);

int parseConfigFile (char* pConfigFilename,
		char* pConfigData);

#endif
