/******************************************************************************
Copyright 2012 - 2020 Intel Corporation
 
For licensing information, see the file 'LICENSE' in the root folder of
  this software module. 
******************************************************************************/

#ifndef __PROCESS_H__
#define __PROCESS_H__

typedef void (*P_SIG_HANDLER)();

SERVER_CONFIG *get_server_config();
int parse_params(int argc, char *argv[], SERVER_CONFIG *s_config);
int str_to_long(char *sourceStr, long *retVal);
void single_inst_lockfile_cleanup(char *);
int is_instance_running(char *);
void daemonize();
void setup_sighandler(P_SIG_HANDLER psh);

#endif

