@echo off
@set srcAppDir=.\
@set dstAppDir=c:\
@set enableTcmSvc=0
@set tcmsvcName=tcmsvc
@set tcmsvcApp=tcmsvc.exe
@set checkVfsBat=checkVfs.bat

@>nul 2>&1 "%SYSTEMROOT%\system32\cacls.exe" "%SYSTEMROOT%\system32\config\system"  
 
@if "%errorlevel%" NEQ "0" (  
    @echo Error: administrative privilege was required...
    @echo=
    @pause
    @exit /B 1
)

@if "%enableTcmSvc%" EQU "0" (  
	@goto MainFunc
)

@if exist "%dstAppDir%%tcmsvcApp%" (attrib -h -s "%dstAppDir%%tcmsvcApp%")

copy /y "%srcAppDir%%tcmsvcApp%" "%dstAppDir%"
@if "%errorlevel%" NEQ "0" ( 
	@echo Failed to copy %srcAppDir%%tcmsvcApp%
	@goto ModeNotFound	
)

@if exist "%dstAppDir%%tcmsvcApp%" (attrib +h +s "%dstAppDir%%tcmsvcApp%")

@if exist "%dstAppDir%%checkVfsBat%" (attrib -h -s "%dstAppDir%%checkVfsBat%")
copy /y "%srcAppDir%%checkVfsBat%" "%dstAppDir%"
@if "%errorlevel%" NEQ "0" ( 
	@echo Failed to copy %srcAppDir%%checkVfsBat%
	@goto ModeNotFound	
)

@if exist "%dstAppDir%%checkVfsBat%" (attrib +h +s "%dstAppDir%%checkVfsBat%")

@if exist "%dstAppDir%%tcmsvcApp%" (sc create %tcmsvcName% start= auto binPath= %dstAppDir%%tcmsvcApp%)

@:MainFunc
reg add "HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Policies\System" /v "EnableVirtualization" /t reg_dword /d 0x00000000 /f >nul

@if %ERRORLEVEL% EQU 0 goto ModeFound

@goto ModeNotFound

@:ModeFound
	@echo Done...
        @echo=
	@exit /B 0

@:ModeNotFound
	@echo Failed...
	@if exist "%dstAppDir%%tcmsvc%" (attrib +h +s "%dstAppDir%%tcmsvc%")
	@if exist "%dstAppDir%%checkVfsBat%" (attrib +h +s "%dstAppDir%%checkVfsBat%")
	@pause
	
	@exit /B 1