/******************************************************************************
Copyright 2016 - 2019 Intel Corporation
 
For licensing information, see the file 'LICENSE' in the root folder of
  this software module. 
******************************************************************************/

#ifndef PROFILEPAGE_H
#define PROFILEPAGE_H


#include <QProcess>
#include <MApplicationPage>

class MTextEdit;
class MButton;


class ProfilePage : public MApplicationPage
{
    Q_OBJECT

public:
    ProfilePage(const QString &serverIP);
    virtual ~ProfilePage();

    virtual void createContent();

protected:
    virtual void swipeGestureEvent(QGestureEvent *event, QSwipeGesture *gesture);

private slots:
    void onChgPwdTabPressed();

    void onBtnChgPwdClicked();

private:
    QString servIP;

    MTextEdit *teUser;
    MTextEdit *teOldPwd;
    MTextEdit *teNewPwd1;
    MTextEdit *teNewPwd2;
    MButton *btnChgPwd;
};


#endif // PROFILEPAGE_H
