/******************************************************************************
Copyright 2012 - 2020 Intel Corporation

For licensing information, see the file 'LICENSE' in the root folder of
                           this software module.
******************************************************************************/


var webconsole_locale = 'zh_CN';

var i18n_strings = {

    // general texts
    s_general_disabled: '已禁用',
    s_general_enabled: '已启用',
    s_general_failure: '失败',
    s_general_hide: '隐藏',
    s_general_global: '全局默认',
    s_general_ok: '确定',
    s_general_show: '显示',
    s_general_success: '成功',
    s_general_test: '测试',

    // string texts
    s_about: '关于 TC 系统',
    s_add: '增加',
    s_add_task: '增加任务',
    s_available_bootimage_list: '可用的镜像文件列表：',
    s_asterisk_required: '标记 * 的项目是必需的',
    s_auto_login_delay: '自动登录延时',
    s_autoboot_image: '自动登录镜像',
    s_backup_contents: '备份内容',
    s_backup_done: '成功完成备份',
    s_backup_local: '本地备份',
    s_backup_local_location: '本地备份目录',
    s_backup_logs: '备份服务日志',
    s_backup_headless: '自动后台备份',
    s_backup_interval: '备份间隔 (分钟)',
    s_backup_mode: '当前备份方式',
    s_backup_remote: '远程备份',
    s_backup_remote_location: '远程备份地址',
    s_backup_settings: '备份设置',
    s_backup_time: '最近备份时间',
    s_batch_add: '批量创建',
    s_batch_disabling: '停用用户',
    s_batch_enabling: '启用用户',
    s_batch_grouping: '更改用户组',
    s_batch_password: '更改密码',
    s_batch_prefix: '名称前缀',
    s_batch_storage_frozen_off: '停止冻结个性化存储',
    s_batch_storage_frozen_on: '冻结个性化存储',
    s_batch_suffix: '名称后缀',
    s_batch_first: '数列起始',
    s_batch_count: '数列长度',
    s_batch_width: '数字宽度',
    s_bootimage_inuse: '不能操作正在被使用的镜像文件',
    s_bootimage_ga: '可访问组',
    s_bootimage_gw: '支持个性化组',
    s_bootimage_list: '系统镜像列表',
    s_bootimage_acl_add: '增加授权组',
    s_booting: '系统启动中',
    s_broadcast_all: '广播地址',
    s_cancel: '取消',
    s_cci_clear: '清除客户端镜像',
    s_cci_clear_dialog_title: '选择镜像',
    s_cci_clear_sent: '清除命令发送成功',
    s_change_desc: '修改描述',
    s_change_mac: '修改 MAC 地址',
    s_change_name: '修改名称',
    s_change_perm: '修改权限',
    s_change_user_group: '修改用户组',
    s_ci_update_reason: '更新镜像文件原因',
    s_client: '客户端',
    s_client_active: '在线客户端',
    s_client_all: '全部已注册的客户端',
    s_client_config: '客户端配置',
    s_client_count: '在线客户端',
    s_client_counter_legend: '(在线/全部)',
    s_client_error_hardware: '硬件异常',
    s_client_error_disk: '磁盘错误',
    s_client_error_initialization: '分区初始化失败',
    s_client_error_reserved_size: 'TC 系统保留分区的大小超出限制',
    s_client_firmware: '客户端固件',
    s_client_group: '分组',
    s_client_group_autoboot: '客户端分组的自动登录镜像',
    s_client_group_desc: '分组说明（可选）',
    s_client_group_name: '分组名称，最多 20 个字符',
    s_client_hb_timeout: '心跳超时',
    s_client_hb_timeout_short: '(超时状态)',
    s_client_hb_timeout_title: '设置新的超时时间, 最短 1 分钟, 最长 10 分钟',
    s_client_image: '客户端可用镜像',
    s_client_image_pending_uploaded: '当前镜像没有可更新的文件',    
    s_client_list: '客户端列表',
    s_client_status: '客户端状态',
    s_client_management: '客户端管理',
    s_client_online_all: '全部在线客户端',
    s_client_user_list: '客户端用户列表',
    s_client_group_list: '客户端用户组列表',
    s_clients_deployed: '部署数量',
    s_dashboard_client_name_suffix: '自动命名后缀',
    s_dashboard_client_naming: '客户端自动注册',
    s_dashboard_client_naming_rule: '自动注册规则',
    s_dashboard_client_registration: '开放客户端注册',
    s_closing: '系统关机',
    s_connect: '连接',
    s_create: '创建',
    s_create_client_user: '创建客户端用户',
    s_create_client_group: '创建客户端用户组',
    s_create_client_group_first: '需要创建一个可用的用户组',
    s_create_time: '创建时间',
    s_current_client_list: '当前客户端列表',
    s_current_file: '当前文件',
    s_current_progress: '当前进度',
    s_used: '已用',
    s_remain: '剩余',

    s_delete: '删除',
    s_delete_image: '删除镜像记录',
    s_delete_image_files: '删除记录及镜像文件',
    s_delete_peer: '删除服务器',
    s_delete_selected: '删除选中内容',
    s_description: '描述',
    s_dhcp_broadcast: '广播地址',
    s_dhcp_dns: '子网 DNS 地址',
    s_dhcp_export: '生成 DHCP 配置备份',
    s_dhcp_export_done: '成功生成 DHCP 网络配置备份',
    s_dhcp_import: '从 DHCP 配置备份恢复',
    s_dhcp_import_done: '成功从 DHCP 网络配置备份恢复',
    s_dhcp_import_title: '选择 DHCP 配置备份文件',
    s_dhcp_lease: 'DHCP 租约清单',
    s_dhcp_lease_expiration: '到期时间',
    s_dhcp_lease_ip: 'IP 地址',
    s_dhcp_lease_mac: 'MAC 地址',
    s_dhcp_network_config: 'DHCP 网络配置',
    s_dhcp_routers: '子网路由地址',
    s_dhcp_subnet: '子网',
    s_dhcp_subnet_begin: '子网起始地址',
    s_dhcp_subnet_end: '子网结束地址',
    s_dhcp_subnet_mask: '子网掩码',
    s_dhcp_subnet_range: '子网范围',
    s_dhcp_subnet_settings: 'DHCP 子网设置',
    s_disk_size: '磁盘容量',
    s_display_resolution: '分辨率',
    s_download_log: '下载 TC 日志',
    s_edit: '修改',
    s_file_size: '占用空间',
    s_apparent_size: '镜像大小',
    s_file_uploading: '正在上传文件',
    s_formatting: '正在初始化',
    s_fs_free_size: '空余可用',
    s_fs_total_size: '全部空间',
    s_fs_usage_percent: '磁盘利用率 (百分比)',
    s_fs_used_size: '已经占用',
    s_full_list: '完整列表',
    s_fw_update_done: '固件更新完成',
    s_fw_version: '固件版本',
    s_fw_version_pending: '客户端可用固件版本',
    s_group: '用户组',
    s_heartbeat: '最近心跳',
    s_image_ag: '授权用户组',
    s_image_desc: '镜像描述',
    s_image_file: '镜像文件',
    s_image_name: '镜像名称',
    s_image_pic: '镜像图片',
    s_image_pic_preview: '镜像图片预览',
    s_image_type: '镜像类型',
    s_info_main: '主要信息',
    s_initialize: '初始化客户端',
    s_input_auto_login_delay: '输入新的自动登录延时，支持 3 到 10 秒',
    s_input_new_client_desc: '输入新的客户端描述',
    s_input_new_client_group: '输入新的客户端分组',
    s_input_new_client_mac: '输入新的客户端 MAC 地址',
    s_input_new_client_name: '输入新的客户端描述名称',
    s_input_new_client_resolution: '输入新的客户端显示分辨率，例如 1024x768',
    s_input_new_client_usb_storage: '启用客户端 USB 存储',
    s_input_new_dhcp_dns: '输入新的 DNS 服务器地址 (输入为空则使用默认值)',
    s_input_new_dhcp_router: '输入新的 DHCP 路由地址',
    s_input_new_ip_address: '输入新的 IP 地址',
    s_input_new_group_desc: '输入新的用户组描述',
    s_input_new_group_name: '输入新的用户组名称',
    s_input_new_mac: '输入新 MAC 地址',
    s_input_new_netmask: '输入新的网络掩码',
    s_input_new_role_desc: '输入新角色描述',
    s_input_new_role_name: '输入新角色名称',
    s_input_server_dns: '输入新的 DNS 地址',
    s_input_server_gateway: '输入新的网关地址',
    s_input_server_ad_domain_server_name: '输入新的 AD 域服务器名称',
    s_input_server_ad_domain_server_ip: '输入新的 AD 域服务器地址',
    s_input_server_tracker_wan_ip: '输入新的 WAN 地址',
    s_input_server_ip: '输入服务器地址',
    s_input_login_name: '输入登录用户名',
    s_input_login_password: '输入登录密码',
    s_input_new_display_name: '输入显示名称',
    s_ip_address: 'IP 地址',
    s_last_update: '最近更新',
    s_lic_client_count: '客户端数',
    s_lic_enter_lic: '输入许可证',
    s_lic_expired_time: '到期时间',
    s_lic_finish_reg: '请输入如下序列号的许可证，从而完成注册',
    s_lic_gen_key: '生成序列号',
    s_lic_input_reg: '请输入如下可选信息，从而生成序列号',
    s_lic_issuer_address: '发行商地址',
    s_lic_issuer_contact: '发行商联系人',
    s_lic_issuer_email: '发行商邮箱',
    s_lic_issuer_name: '发行商名称',
    s_lic_issuer_telephone: '发行商电话',
    s_lic_key: '请完整复制如下序列号',
    s_lic_lic: '请填入完整的许可证信息，包括结尾的 ` ',
    s_lic_reg_done: '已成功注册',
    s_lic_status: '许可证状态',
    s_lic_user_address: '用户地址',
    s_lic_user_contact: '用户联系人',
    s_lic_user_email: '用户邮箱',
    s_lic_user_name: '用户名称',
    s_lic_user_telephone: '用户电话',
    s_login: '登录',
    s_logout: '注销登录',
    s_log_sync: '同步日志',
    s_mac_address: 'MAC 地址',
    s_member_count: '成员数',
    s_memory_size: '内存容量',
    s_name: '名称',
    s_network_address: '网络地址',
    s_network_dns: 'DNS 地址',
    s_network_gateway: '网关地址',
    s_network_nic: '网卡信息',
    s_network_nic_driver: '网卡驱动',
    s_network_nic_kmodule: '内核模块',
    s_network_nic_speed_unknown: '速度未知',
    s_network_nic_usage_percent: '网卡利用率 (百分比)',
    s_none: '---- 无 ----',
    s_operation_complete: '操作完成',
    s_password: '密码',
    s_password_confirm: '确认密码',
    s_password_new: '新密码',
    s_password_old: '旧密码',
    s_password_reset: '修改密码',
    s_password_retype: '再输一次新密码',
    s_password_reset_done: '修改密码成功',
    s_password_rule: '密码长度应当是 10 到 32 个字符',
    s_password_repeat: '再输一次',
    s_password_admin: '管理员密码',
    s_password_user_new: '用户新密码',
    s_path: '路径',
    s_peer_list: '服务器列表',
    s_peer_sync_starts: '服务器间同步已经开始',
    s_peer_unavailable: '服务器不可用',
    s_permission: '权限',
    s_permission_global: '全局默认权限',
    s_permission_keep: '可迁移',
    s_perpage: '每页',
    s_preboot: '系统预启动',
    s_ps_background_upload: '客户端后台自动上传个性化存储数据',
    s_ps_background_upload_short: '上传个性化数据',
    s_ps_background_upload_switch: '上传个性化数据',
    s_ps_frozen: '冻结个性化',
    s_ps_group_add: '增加个性组',
    s_ps_group_size: '个性化存储空间',
    s_ps_group_title: '个性化存储',
    s_ps_size_alloc: '个性化空间',
    s_ps_size_image: '个性化文件',
    s_ps_user_edit: '修改个性化存储',
    s_reboot: '重启',
    s_reboot_client: '重启客户端',
    s_reboot_client_after_formatting: '操作完成需要重启客户端',
    s_refresh: '刷新',
    s_register_client: '登记注册 TC 客户端',
    s_register_image: '注册系统镜像',
    s_register_time: '注册时间',
    s_release_build: '发布版本',
    s_release_name: '发布名称',
    s_remove: '删除',
    s_revision: '当前版本',
    s_role_auth_group: '授权用户组',
    s_role_auth_url: '授权操作',
    s_role_group_add: '增加用户组',
    s_role_url_add: '增加权限',
    s_rp_busy: '请等待还原点操作完成',
    s_rp_desc_input: '输入还原点描述',
    s_rp_discard: '丢弃此版本',
    s_rp_list: '历史版本还原点',
    s_rp_loading: '恢复中',
    s_rp_ready: '准备就绪',
    s_rp_restore: '回到此版本',
    s_save: '保存',
    s_search: '搜索',
    s_second: '秒',
    s_server_ad_domain: 'AD 域',
    s_server_ad_domain_server: 'AD 域服务器',
    s_server_ad_domain_server_ip: 'AD 域服务器地址',
    s_server_ad_domain_server_name: 'AD 域服务器名称',
    s_server_builtin_dhcp: 'DHCP 服务',
    s_server_services: 'TC 核心服务',
    s_select_client: '选择客户端',
    s_select_client_autoboot_image: '选择客户端自动登录镜像文件',
    s_select_client_group: '客户端分组',
    s_select_file: '选择文件',
    s_select_picture: '选择图片',
    s_select_role: '选择角色',
    s_select_user_group: '选择用户组',
    s_server_status: '服务器状态',
    s_server_wan: 'WAN 服务',
    s_server_wan_tracker: 'WAN 服务状态',
    s_server_wan_tracker_ip: 'WAN 服务地址',
    s_shutdown: '关机',
    s_shutdown_client: '关闭客户端',
    s_speed_limit_download: '下载限速 (MB/s, 0 表示不限速)',
    s_speed_limit_download_title: '下载限速',
    s_speed_limit_upload: '上传限速 (MB/s, 0 表示不限速)',
    s_speed_limit_upload_title: '上传限速',
    s_ssl_ca_cert: 'SSL 证书',    
    s_start_sync: '开始同步镜像',
    s_static_ip_assignment: '静态 IP 地址分配',
    s_subnet_mask: '子网掩码',
    s_suffix_begin: '开头',
    s_suffix_end: '结尾',
    s_sync_image: '已同步镜像',
    s_sync_password: '同步操作密码',
    s_total: '总计',
    s_total_client_count: '客户端总数',
    s_total_size: '总体大小',
    s_unit_minute: '分钟',
    s_update: '更新',
    s_updating: '更新中',
    s_update_done_ok: '更新成功完成',
    s_update_firmware: '更新固件',
    s_updated_time: '更新时间',
    s_upload_file: '上传文件',
    s_upload_select_file: '选择需要上传的文件',
    s_usb_storage: 'USB 存储',
    s_usb_storage_enabled: '启用',
    s_usb_storage_disabled: '禁用',
    s_username: '用户名',
    s_username_suffix: '添加批量后缀',
    s_user_display: '真实显示名称',
    s_user_disabled: '未启用',
    s_user_enable: '启用',
    s_user_enabled: '启用',
    s_user_status: '状态',
    s_user_online: '用户在线',
    
    s_version: '版本',
    s_yesno_no: '否',
    s_yesno_yes: '是',
    s_sync_progress: '镜像同步进度',
    s_sync_img: '镜像文件',
    s_sync_peer: '同步服务器',

    // confirm string, maybe a string format
    c_ci_no_group_selected: '确定不为镜像选定用户组吗？',
    c_client_group_delete: '确定删除选定分组吗？分组内所有客户端将被移出来。',
    c_client_init: '确定初始化选定的客户端？此操作不可撤销。',
    c_client_init_group: '确定初始化选定的客户端分组？此操作不可撤销。',
    c_client_reboot: '确定重启选定的客户端？',
    c_client_reboot_group: '确定重启选定的客户端分组？',
    c_client_shutdown: '确定关闭选定的客户端？',
    c_client_shutdown_group: '确定关闭选定的客户端分组？',
    c_client_wakeup: '确定唤醒选定的客户端？',
    c_client_wakeup_group: '确定唤醒选定的客户端分组？',
    c_delete_group: '确定删除选定用户组吗？',
    c_delete_image: '确定删除选定镜像吗？',
    c_delete_user: '确定删除选定用户吗？',
    c_delete_user_storage: '确定清空选定用户的个性化存储？此操作不可撤销。',
    c_delete_selected_client: '删除选定的客户端?',
    c_delete_selected_peer: '删除选定的服务器?',
    c_delete_selected_role: '确定删除选定的用户角色？',
    c_dhcp_empty_leases: '确定清空所有 DHCP 租约并且重启 DHCP 服务吗？',
    c_updating_config: '正在更新配置',
    c_restore_point_delete: '确定删除选定的历史还原点，和所有更早版本的历史还原点？此操作不可撤销。',
    c_restore_point_delete_inuse_head: '删除正在使用的还原点版本？选择一个历史版本恢复',
    c_restore_point_delete_inuse_middle: '删除选定的还原点，和所有更高版本的历史还原点？选择一个历史版本恢复',
    c_restore_point_delete_middle: '删除选定的还原点，和所有更高版本的历史还原点？',
    c_restore_point_revision_max: '已经达到还原点数量上限，删除最早的还原点，并创建新的还原点？', 
    c_start_sync_image: '开始同步镜像文件？',
    c_web_logout: '确定退出登录吗？',

    // error text list
    e_access_license: '错误：无许可证访问权限',
    e_ad_domain_server_ip: '错误：AD 域服务器的 IP 地址不正确',
    e_ad_domain_server_name: '错误：AD 域服务器的名称不正确',
    e_ajax_failed: '错误：不能连接 TC 服务器',
    e_backup_busy: '错误：正在进行备份',
    e_backup_data: '错误：不能备份数据',
    e_backup_headless: '错误：自动备份输入不正确',
    e_backup_interval: '错误：备份间隔输入不正确，最小为 1，最大为 10080',
    e_backup_load_list: '错误：不能读入备份文件列表',
    e_backup_location_dir: '错误：指定备份目录不可用',
    e_backup_mode: '错误: 无效备份方式',
    e_backup_location_empty: '错误：指定备份目录为空',
    e_backup_save_list: '错误：不能创建备份文件列表',
    e_backup_server: '错误：不能访问备份服务器地址',
    e_backup_server_tunnel: '错误：使用 SSH 隧道访问备份服务器失败',
    e_backup_peer_busy: '错误：正在备份数据到指定服务器，请稍后更新备份服务器',
    e_bad_client_name: '错误：非法客户端名称，只可用字母 数字 _ -',
    e_bad_client_mac: '错误：MAC 地址使用十六进制数字，例如 FF-FF-FF-FF-FF-FF',
    e_bad_client_memo: '错误: 描述的格式错误',
    e_bad_format_netmask: '错误：网络掩码格式错误',
    e_bad_ip_address: '错误：IP 地址格式错误',
    e_bad_name: '错误：名字太长或者格式错误，只可用字母，数字和_-.()[]',
    e_bad_desc: '错误：描述太长或者格式错误',
    e_bad_operation: '错误：操作失败',
    e_bad_password: '错误：密码要求为长度 10 到 32 位的字母或数字',
    e_bad_password_mismatch: '错误：两次密码输入不匹配',
    e_bad_user_name_alphanumeric: '错误：非法用户名，只可用字母和数字',
    e_batch_count: '错误：数列长度不正确，只可用数字，最小为 1',
    e_batch_count_max: '错误：数列长度不能超过 200',
    e_batch_first: '错误：数列起始不正确，只可用数字，最小为 0，最大不超过 8 位',
    e_batch_name: '错误：批量生成的用户名长度不能超过 30',
    e_batch_overflow: '错误：数列起始与数列长度的和超出系统限制',
    e_batch_prefix: '错误：名称前缀不正确，只可为空，或用字母，数字，下划线',
    e_batch_suffix: '错误：名称后缀不正确，只可为空，或用字母，数字，下划线',
    e_batch_width: '错误：数字宽度不正确，只可用数字，最小为 1',
    e_batch_width_small: '错误：数字宽度不足，与数列长度冲突',
    e_change_bootimage: '错误：不能修改镜像文件',
    e_client_busy: '错误：客户端正忙',
    e_client_group_max: '错误：客户端分组数量限制',
    e_client_group_name: '错误：客户端分组名称为空',
    e_client_image_busy: '错误：镜像文件正在被使用中',
    e_client_image_not_found: '错误：找不到镜像文件',
    e_client_image_register: '错误：不能注册镜像文件',
    e_client_image_status_merging: '错误：镜像更新中，不能取消',
    e_client_naming: '错误：客户端自动注册命名规则不正确',
    e_client_naming_max: '错误：客户端自动注册命名规则限制',
    e_client_naming_first: '错误：客户端自动注册命名规则的数列起始不正确，只可用大于 0 的整数',
    e_client_naming_prefix_suffix: '错误：客户端自动注册命名规则的名称前缀/后缀不正确，只可为空，或用字母，数字，下划线，长度不超过 12 位',
    e_client_naming_width: '错误：客户端自动注册命名规则的数字宽度不正确，只可用 1 到 6',
    e_client_not_found: '错误：找不到客户端',
    e_client_resolution: '错误：输入的客户端显示分辨率不正确，只可用例如 1024x768',

    e_database: '错误：数据库操作失败',
    e_dhcp_import: '错误：不能从 DHCP 配置备份恢复',
    e_dhcp_import_empty: '错误：找不到 DHCP 配置备份文件',
    e_duplicate_value: '错误：不能使用重复内容',

    e_empty_desc: '错误：描述为空',
    e_empty_file: '错误：文件为空',
    e_empty_group: '错误：用户组为空',
    e_empty_input: '错误：输入为空',
    e_empty_ip: '错误：IP 地址为空',
    e_empty_mac: '错误：MAC 地址为空',
    e_empty_mask: '错误：掩码地址为空',
    e_empty_name: '错误：名称为空',
    e_empty_password: '错误：密码为空',
    e_empty_username: '错误：用户名为空',
    e_empty_user_display: '错误：显示真实名称为空',
    e_empty_reason: '错误：更新原因为空',
    e_fail_change_client_desc: '错误：修改客户端描述失败',
    e_fail_change_client_mac: '错误：修改客户端 MAC 地址失败',
    e_fail_change_client_name: '错误：修改客户端名称失败',
    e_fail_change_dhcp_dns: '错误：不能修改 DNS 地址',
    e_fail_change_dhcp_router: '错误：不能修改 DHCP 路由地址',
    e_fail_change_dns: '错误：不能修改 DNS 地址',
    e_fail_change_group_desc: '错误：修改用户组描述失败',
    e_fail_change_group_name: '错误：修改用户组名称失败',
    e_fail_change_gw: '错误：不能修改网关地址',
    e_fail_change_ip: '错误：不能修改网络地址',
    e_fail_change_netmask: '错误：不能修改网络掩码',
    e_fail_change_user_group: '错误：更改用户组失败',
    e_fail_change_user_pwd: '错误：更改用户密码失败',
    e_fail_disable_user: '错误：停用用户失败',
    e_fail_enable_user: '错误：启用用户失败',
    e_fail_load_groups: '错误：读取用户组失败',
    e_fail_login: '错误：用户名或密码不正确',
    e_fail_merge: '错误：更新失败',
    e_fail_merge_no_mdf: '错误：更新失败，MDF 文件不可用',
    e_fail_merge_no_udf: '错误：更新失败，UDF 文件不可用',
    e_fail_register_client: '错误：注册客户端失败',
    e_fail_register_user: '错误：不能注册用户',
    e_fail_save_dhcp_settings: '错误：保存 DHCP 设置失败',
    e_fail_save_ip_mask: '错误：保存 IP 地址和掩码失败',
    e_fail_update_firmware: '错误：客户端固件更新失败',
    e_firmware_size: '错误：固件文件不能超过 64 MiB',
    e_group_busy: '错误：有用户属于该用户组',
    e_group_create: '错误：创建组失败',
    e_group_desc: '错误：组描述长度不能超过 40',
    e_group_edit: '错误：更改用户组失败',
    e_group_name: '错误：组名称长度最短 1 , 最长 16 字符',
    e_group_need_bootimage: '错误：需要注册镜像文件',
    e_hb_timeout_value: '错误：心跳超时，最短 1 分钟, 最长 10 分钟',
    e_invalid_auto_login_delay: '错误：自动登录延时不正确，支持 3 到 10 秒',
    e_invalid_dhcp_router: '错误： DHCP 路由地址不正确',
    e_invalid_dhcp_subnet_mask: '错误： DHCP 子网掩码设置不正确',
    e_invalid_dhcp_subnet_range: '错误： DHCP 子网范围设置不正确',
    e_invalid_download_mbs: '错误：下载限速不正确，支持 0 到 500，最多一位小数',
    e_invalid_format_boolean: '错误：布尔型输入不正确',
    e_invalid_format_int: '错误：数字输入不正确',
    e_invalid_license: '错误：许可证不正确',
    e_invalid_password: '错误：密码错误',
    e_invalid_number: '错误：数字输入不正确',
    e_invalid_upload_mbs: '错误：上传限速不正确，支持 0 到 500，最多一位小数',
    e_lic_count_max: '错误：不能超过授权客户端数量',
    e_lic_lic_expired: '错误：许可证已过期',
    e_lic_lic_write: '错误：无权限保存许可证',
    e_lic_reg_write: '错误：无权限保存注册信息',
    e_login_required: '错误：需要登录',
    e_mac_required: '错误： 没有选择 MAC 地址',
    e_max_selected_image: '错误：不能选择多个镜像文件',
    e_name_exist: '错误：名称已被使用',
    e_no_available_image: '错误：没有可用的镜像文件',
    e_no_file: '错误：没有选择文件',
    e_no_image_pic: '错误：没有选择图片',
    e_no_image_selected: '错误：没有选择镜像文件',
    e_no_peer_selected: '错误：没有选择服务器',
    e_no_group_selected: '错误：没有选择用户组',
    e_no_permission: '错误：权限不足',
    e_no_role_selected: '错误：没有选择角色',
    e_no_selected_image: '错误：没有选择镜像文件',
    e_operation_denied: '错误：服务器停止支持此操作',
    e_operation_unsupported: '错误：不支持此操作',
    e_peer_addr_reserved: '错误：不能使用此地址',
    e_peer_not_found: '错误：未找到服务器记录',
    e_ps_busy: '错误：个性化存储状态正忙',
    e_ps_db_storage: '错误：个性化存储不可用',
    e_ps_frozen_off: '错误：不能停止冻结个性化存储',
    e_ps_frozen_on: '错误：不能冻结个性化存储',
    e_ps_size_predicted: '错误：个性化存储容量已被指定为',
    e_remote_ssh_tunnel: '错误：使用 SSH 隧道访问服务器失败',
    e_restore_point_busy: '错误：还原点正在被使用中',
    e_restore_point_delete: '错误：不能删除此还原点',
    e_restore_point_delete_middle: '错误：只支持删除最早的还原点',
    e_restore_point_not_found: '错误：找不到还原点纪录',
    e_restore_point_restore: '错误：不能还原到此版本',
    e_restore_revision_invalid: '错误：找不到还原点版本',
    e_restore_point_del_and_rst_to_min_rev: '错误：达到还原点上限，此版本将会被删除，无法执行此次操作，请还原至其它版本',
    e_role_no_group_selected: '错误：没有选择用户组',
    e_role_no_url_selected: '错误：没有选择授权操作',
    e_server_ip: '错误：更改网络地址失败',
    e_shell: '错误：控制台命令操作失败',
    e_static_ip_binding: '错误：静态 IP 地址分配失败',
    e_static_ip_existed: '错误：静态 IP 地址已被占用',
    e_tracker_wan_busy: '错误：WAN 状态正忙',
    e_tracker_wan_ip: '错误：WAN 地址不可用',
    e_upload_file: '错误：文件上传失败',
    e_upload_file_empty: '错误：没有选择文件上传',
    e_user_busy: '错误：用户状态正忙',
    e_vm_guest_max: '错误: 镜像文件运行数量到达系统上限',
    e_more_than_one_image_selected: '错误: 只能选择1个镜像文件进行同步',
    e_more_than_one_peer_selected: '错误: 只能选择1个服务器进行同步',
    

    // client status list
    cs_power_on: '启动中：开机',
    cs_power_off: '启动中：关机',
    cs_authenticated: '启动中：认证',
    cs_syncing: '启动中：同步',
    cs_booting: '启动中',
    cs_running: '运行中',
    cs_uploading: '启动中：提交',
    cs_shutting_down: '运行中：关机',
    cs_unknown: '启动中：错误状态',
    cs_initializing_disk: '启动中：初始化',
    cs_updating_firmware: '启动中：固件更新',
    cs_updating_firmware_cmd_sent: '启动中：准备更新',
    cs_updating_firmware_done: '启动中：更新成功',
    cs_updating_firmware_failed: '启动中：更新失败',

    // client status counter names
    csc_booting: '启动中',
    csc_booting_os: 'OS 启动中',
    csc_booting_tc: 'TC 启动中',
    csc_error: '异常错误',
    csc_running: '运行中',
    csc_syncing: '正在同步',
    csc_updating: '正在维护',
    csc_total_reg: '总注册数',

    // client image file status
    cis_file_ready: '文件就绪',
    cis_file_merging: '更新中',
    cis_file_pending: '可更新',
    cis_file_preparing: '准备中',

    // client image seed status
    cis_seed_active: '种子就绪',
    cis_seed_error: '种子错误',
    cis_seed_hashing: '种子准备中',
    cis_seed_missing: '种子不存在',
    cis_seed_raw: '种子未创建',

    // license status
    ls_unregistered: '尚未注册',
    ls_verified: '正常注册',
    ls_expired: '许可证过期',
    ls_invalid: '许可证无效',

    // tooltips
    tp_group_disabled_delete: '只能删除空白用户组',
    tp_group_selected_empty: '需要选择至少一个用户组',
    tp_group_selected_multiple: '只能选择一个用户组',

    // end of whole translation
    zzzzzzzz: ''
};

function update_i18n($scope) {
    function translate() {
        var attr = $(this).attr('i18n');
        if (typeof attr !== typeof undefined && attr !== false) {
            if (attr in i18n_strings) {
                $(this).text(i18n_strings[attr]);
                return;
            }
            $(this).text(attr);
        }
    }
    // search all <span> tags
    $scope.find('span').each(translate);
    // search all <button> tags
    $scope.find('button').each(translate);
    // search all <label> tags
    $scope.find('label').each(translate);
}

function find_i18n(key, default_value) {
    if (default_value === undefined) {
        default_value = key;
    }
    return (key in i18n_strings) ? i18n_strings[key] : default_value;
}